Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.operations
Interface IOperation

All Known Subinterfaces:
  IBatchOperation, IConfigFeatureOperation, IFeatureOperation, IInstallFeatureOperation, IReplaceFeatureVersionOperation, IRevertConfigurationOperation, IToggleSiteOperation, IUnconfigFeatureOperation, IUninstallFeatureOperation

public interface IOperation

Base update manager operation.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`boolean` | `execute(IProgressMonitor pm, IOperationListener listener)` Executes operation.
`boolean` | `isProcessed()` Returns true when the operation has been processed.
`void` | `markProcessed()` Marks the operation as processed.

Method Detail

### isProcessed

    public boolean isProcessed()

  Returns true when the operation has been processed.

  Returns:
    true when the operation completed.

### markProcessed

    public void markProcessed()

  Marks the operation as processed.

### execute

    public boolean execute(IProgressMonitor pm,
                           IOperationListener listener)
                    throws CoreException,
                           InvocationTargetException

  Executes operation.

  Parameters:
    `pm` - Progress monitor for the operation
    `listener` - Operation listener
  Returns:
    true if operation was successful and a restart is needed.
  Throws:
    `CoreException`
    `InvocationTargetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.